## cal-home-widget 0.6

=== Makefile ===
SUBDIRS = src
BUILDDIR = build
DATA_FILE=cal-home-widget.desktop
LIB=cal-home-widget.so
HILDON_WIDGET_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
#HILDON_WIDGET_LIB_DIR=/usr/lib/hildon-desktop
HILDON_WIDGET_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonhomedesktopentrydir)
#HILDON_WIDGET_DATA_DIR=/usr/share/applications/hildon-home


all:    create_builddir subdirs


MAKE_BUILD_DIR:
	mkdir -p $(BUILDDIR)
	

install: all
	install -d $(DESTDIR)/$(HILDON_WIDGET_LIB_DIR)
	install $(BUILDDIR)/$(LIB) $(DESTDIR)/$(HILDON_WIDGET_LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_WIDGET_DATA_DIR)
	install data/$(DATA_FILE) $(DESTDIR)/$(HILDON_WIDGET_DATA_DIR)

subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

create_builddir:
	mkdir -p build

.PHONY: all clean install $(SUBDIRS)

clean:
	rm -rf build
	for d in $(SUBDIRS); do (cd $$d; $(MAKE) clean);done

## cal-home-widget 0.1

=== debian/changelog ===
cal-home-widget (0.1) unstable; urgency=low

  * Initial Release.

 -- unknown <nicolai@unknown>  Fri, 28 May 2010 23:47:47 +0200

=== debian/control ===
Source: cal-home-widget
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, libgconf2-dev, libtime-dev, libdbus-glib-1-dev, calendar-backend-dev, libstdc++6-4.2-dev
Standards-Version: 3.7.2
Section: user/desktop

Package: cal-home-widget
Architecture: any
Depends: ${shlibs:Depends}
Description: Calendar Home Widget
 Calendar Widget with advanced features.
 Opens the calendar application with different
 views (agenda, week, month). Can change dynamically
 the widget size. Selectable fixed sizes (small, medium, large).
 And you can select which calendar entries (colour) should be
 visible and a time period.
XB-Maemo-Display-Name:Calendar Home Widget
XSBC-Bugtracker: mailto:nicolaihess@web.de
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oGAwAbO/q57RkAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAARuElEQVRo3sWaa8xuV3HffzNr7b2f93aOj32ML4AMdmOwoaSI
 Sm1Qc0FVqhb1S6JKVZUACYmBJlGUNmrUoqQfq1zaoigiaeyUlihVULGJKkEL
 FQhwIFwS4jQ0NIlNsMzFl3O/vO+z91prZvph7fP62BjUb91Hj96l/ez/mvXs
 WWvmP/858uRX/jgcoZEYqYDQrwBGiATDtt+yATxDnkGij23o3w0BzH3cJkCx
 DNZnWa9tn98AD5ANxAwJ8Kl/l2cCYWpQIoANaIU0QgNyt3PtmQygOCNOIMi6
 jA1CoZAFtApBQGqoNggBF8KNoCEiUNc1CsBCAKkJSYPwQGKzWrv+KiCKBKCF
 cEHqhkiFJQc0EAlEFPctkoAKAxtKqiwpkfubftZ2/81BBIzXeSME3DLf+PrX
 ubIccfLEPrfcdBuqlcgZqYBU0ATuSAYsAxVRhVigybGtAITE5YuXefrsU7g6
 L3/JK9idBJcNwgLZkDAGh0Wke03BmPsEbihM9E8GAiEgJtChu0sAERT46uNf
 oeoOFy8Jn/nsn3DmzDOYG0LtryYAS91DBGglbB2ndeUKaCAysd0uPP61ryPD
 ab7wyOM89viXgQY2Qzg0cBuoCOgEjESa1jlg6H8KUIgwQBBRRCuKUUVBBBHB
 Lbh0/iKnD27l5MENILscHl0FBzFF9NpH+seURZSkILFZ5xX6P0W1ce78RYpl
 Tt96CzntID5z7nJlkzOiEzLssiMQuaFSIBKbVjCZwDOaNv1IQKAycP7iIc+c
 +RoRY3c9QpCBhRrKxaMjSloIgrnOfOOZMxxujTEbwcSzB2EAFoSRQNfDGWAL
 6HqyqVy9VEm7+7gFSPDMM1e4Mn+Rp3ZPEMfHfwEGXJzbb76dEydHlALAYolc
 +nsn1ZnP/+GneeMPvoXNtIOHd4+LYG6ce+YcJ288z7SzD5xlZ2efl971Gu54
 yR1s9nZIkp6HcZIqEUEQqCTMDRVFBMpS+T+PfYlbTt1CqQvhzl33vA4G+I47
 7wYBFT3GDOPIx/7b7/LyV/01Th+cRsXwBHm6Fg/cWJphpbLF0VAAXJzkCSK4
 cvUSt974ou4zc8rhwly2DDlTZH4uJhJVHKK/IJc+Z/QbZDLbi0cc7lxlSAOC
 cPnqJTZ7G9waZvYsRoII53I5oi0FThSwRoQ8G9g8lMSG2hr7ecPsMzKOTJsb
 WNqCndxgZwaaGgA1jHzDCTi5R9WRKU8stoDAqBOlLUQKhhjwcCwZWCJpolCI
 SOzcfCMqI7gT4SyjcvLkKWJnD28Nk0JcWciaaanSSIjsggpGYiT3H+BAVSiy
 HC9knPYpv/kfmX/jV4HEWAw72LC85/6+y586S/u+v0vePUFkZW4zpB0IWHzu
 vjWo0nqsN8VyYNbWaBJIrZS3voXdH30zenDA1R/4Ie7ImZp60JDX3Iu/73fx
 pZJ9ZJOEqBfADvoPVlACtBWyVQYPltaz6ZX5CkUaMp1g0UDGzBescUUzOWee
 2l7mz2pFh4FFA8YTlBTUHDDus2hgg2J5oqaEjYmigg872CAsCiknPnrpEpNk
 RhH+6+FZxk2m5YmSlPHggAvnLuA4HkY5nHGfmOeFUoO2bMnVKq0l5qWwlEqx
 yjCMiAkaigBJ+j688XDLQ+//AHu33cwffvRj/Mz+ASFBWrOpSk9UEtIxESR6
 KPbw4+ecQETYk8Sjn/gE77vzTj73uc/xt6YD9sgEHb9EYNrWXCtUnzk6usRm
 Z6C6I2Lkw2JEOeTK5S3bw0rW1MOcQtLEQiFrooXyhk3whQffz6Mq3LcU7tnd
 xSKTNVhsIctIAEssDDrQTDGpPZpEZlCjeYMYyRrseeGHzh3yB+96F9+9GG/c
 v4kWCaQi0nNo8k4WNISLVytPnz1DuOGhFG/k7eUt28PznLlwkUuHl5nnhXFn
 YvECVnBLtHoFmJgQXi/Cd8WIjEFrAVSaVWDCbDnOA2bbNcN7z66M6/f5OZiX
 5cIdKDKNwEy1FdMK2Z3SFqxNWDYuPHOJnQlKPcTbyORBvnLxLH/06BN88LOP
 UY+2vDVNzDaTirH3U2/n9L/6F/z/vM7+6f+m7TQ2MvLJP/8a2794mr3dA6wF
 Fcif+cvH+e+ffpQ8n+OkGa01UlKKV3ze0vYPCBeyOI2ASGSBFhVkIAEWFZEB
 AnL65kUYkBzqt8CINILU4/p1dgaFxZYehgnGco4dT4xcJNxIDvnhR57ioF1E
 yhUiD2CdXDRvhICa0GQBH1dWWhAbCQ3UrdMNCdSCNAiP/sVf8p9+57f58z/7
 EiklXvmqe3jbfW/jpbe/hPBAV851DePS6bkAfmzHCangA2KChWHhDDRUhMEb
 zZ0SkC805SYTVANzsGTklhERxDq7GWOkUhAmciRmmRljgwGVhSFGFoGP/I8P
 8aY3vZmLFy7i3mmFfED49V97N598+JO8+p5XUx0ahSEGFhEGenZuCGOMFAqJ
 iRSwyNKJrCfUFWJk9sKgSoiw8UA3smVaLlOb4i7MbSYicHPMnJHomTgGxCut
 LURsqG1BvWExsLSFw3Pn+fEfu4/z586Tc+b06dOcOn0KFeX8+fN8z/f9PRZf
 SGGYZ+a2MEVQzKgWjOEsbcFjBOt2YGJhxtxwt47JgTpggeuEFhJtdCxB1mCM
 kdlmxDvxXWgMOpARXEBTIkkPsU2CjDANG37/85/mySefBOAXfv4XOHPmDE98
 +at8//f/fQAunH2Shx78ADoksgijjsxSGTUzaGaR6+zoagfIPtCs0awxjZnq
 Pc9MOtK8kCcT8F5viDeKLUx5Q/hazPhaP3kDWSspryAdJ/QDeOfL7+L+++/n
 7JmzvOOfvgOrxv6JPV732r/Bhz/8IQDOP32ubytvvc4wIcRXMiZrnd3nDkCt
 Ubz0cxYwWrD1ERl68RVkMtpIrZHJuORe9k30LeQGnmn0GoAYkDWtiyiQaRQw
 4xXf8SrufcXdtNbwGElD4uMf+zjv/S/vPY5G/+AfvpFawWKtq2OiySoExEST
 0rP0NTsSSOtZPCKoNHJ2jtzIOjDFRN6KcEvecOgwyJpnWqfEgwwIBU8TyQoq
 QdUM5kxpZPYGJDY6MNuMx8CYRtKYOLl3kstHl48X/2vvfoC77rqT7VJArmEW
 0JGRoHm3o1ZIClUy6pVI0XeBBxETSSrDsI/HjPhMnhi5QkFdcMmUVsgpU73z
 oiCQVjByj93eK6W5LWvJPzB76WNzmipXLl1+zuJf+9rX8p333s3R0RGqCvFc
 zDpCWsEZcFvv6IalLbRotGhgYCqIbZkA0wE1FkbZAUkIjnoPa+pKi1VF8ERQ
 8ZCuE7F0zoJ0WuB6LDV4BBcuHfH2n/hJ/tk//zleee+9PPLII3zPG76XBx74
 LTabzQtg/Do7BQ89ttOLKbAwPHcvZJkw0npOgEn6oiV69WVmNK+rSiSgfayi
 IA1Whtp9GyRNfSXSmeOLbrqBd/27f8sv/9Iv8u5ff4DbX/xiAH7lV36Zr3zl
 cTTJczAq+jw7cmxHRXt1Zs4mwGIGrbgG3hyd2HDJFywC15FihfAgGlQrQDBb
 P/MWxtITKcUqbd2exQqo0ki9DEywtKDUhe/9O6/nxbfd3muMK1f54//1JURT
 twMU71n/ejvNVzvA0pYeEb2X92OaaKZgmTY4WZiZNLpm5AueHIxeDqZ+oMe0
 odrMJJDSxFwLUw7EM8WDnREefP8H+dQnPsrVwyN+6Rf/Daduvo3qC9kKzdqx
 cjYOI80SY6pIEzQNQEEMprShrHZCJ5ZWuygQAQERwSILJ3Qfo7BjQq69QkdE
 aSKYNVpqaxjtRDh8ZkSoAeELG4HigkRjAIKRT33q4/yH3/oNAF73t/8m9/34
 2zixs+F9Dz7EE088AcDe7i6vftU9qBVKCC4BUZCQb7bDwgalRcPCVm7W2NgA
 ekSWAfcgCyPZunqDD33rjLVTyOiKXEOu45Zy3aiPa6v81Dveznv+829S5srP
 v/Nf8uEPfZDdaZfPfuFznDvXE9hbfuQ+XvbSF7Pdzp0odh3weFZ/ATtB0KIh
 IV0/1gq6i3ijMpBzS/iQ0SUIKmMe8BaICkRbyVxw7UjnCGZgDMHonHxw4fY7
 7+KB+9/LW3/sTRweHvKR//mR51Dqn/6Zn+Zfv/OdXN3OBMEQwkL0RdE9MEZQ
 EBKQIphFGHxAXXF3Ws6YGINmmhi4kSNv8UWoBIMI8zwz7kyUpVBrXcmcEGoM
 ONUHIkG1mawbCmA+s0kb/tEP/mNe8cq7efe//1UefvhhihXu+c7X8HM/+7O8
 /rvfQFmurhg5xszeg0WKhIlAciSMFgMM/RB3YmlIg4mAZJQIpjyQF1Kn4CVR
 cUhCWODJGVJmMem1bCiOktQIV7KOWDiKMOjA7EGOLa+596/znt/57WcLm4Bl
 rmxLY9CRtmKyjswejOJcPaqUo6t4MrRlFkDVueXGGxhjxMNxD0Z1tgl2gH0Z
 OTInb0wghIzhEWv5BGFBXQldELisGuqxsh+kVYVYiOPdO1tlvmoMYtRIIMHQ
 U84xJoCCIyTMHQ9fJXjDEIYEp04dcOqmPRZf2I/9PjfBFAMuhSITyQVFGzkW
 3LucO9cZQbBmSDg4mLeuzfs1ggd4wz3WGG3ggruBdznRvEF8K4wfY2Iti8Bp
 bcA0uPn0AadvOtFfVKx5yQOpRpixMNBqRUM6mbshuoqs7myGDdu6ZUojEV1l
 9tisb9hwco8/MRCr2iBMBDNx/NyMcz0mvQAmgcw0HxGrLK2xyXDzbTexvzcS
 0bWjwQfMDfNGjANixqCODYJ6RSfGTtAUcnK2tffDSqvgBWGk2NJL8xCKt04h
 vGKhOK3L5oxUL53PPw9T3TrGnouJGKmtUKqzOyo3v2T/OYtnzfIW1r1Y+j2N
 BggWQjYWmmzAK1V6Wh8Ze8mWMsOUGXImdG079e1M84FdWQWAELIGU+SuiQmM
 PhBrht//NpiUlJz0eMsAx4uHXvlpKBpKHSojI6WnOCIF2RpIUmiBeCdPGDAI
 n//8p/mD338Y1MG7vCir5OFipFVON+0sFolesYU8DwOE4mokvx6TQAxR7eQw
 rRrMyiExOHHqBO6OhbFryqLGHpVoXRHMU9qQYgECV6F4YYoJEyMlZWHuC1pL
 v/7++tiulYPRC6DjBt61buFzMNYP9wth3LHoka/bWh+JYGezQ/OGuVFJjKlh
 DiJHeOySZ5npCoiwHF5ktIElLwwM3HLzLZjY6raCoiS6vj8x0Wg9qzKw0DEA
 jXaMSSQU/ZaYkRHHMewFMdkzLRqLFaYwtm3DwQTWBiqVPHhXyVIauHRp4bGv
 fpm777qbYn3BQbBlu/bLgrr2wQoF682unidwFpYXxPjqsRfCzMzfFtNoSBa+
 +Kdf5Go5ZG/XqcsOgTGkhPZGnFO1cuqmUzz04ENst9ve9rnmTr+uues8e29l
 YuJy3GSW4yruW2B4Hsa/PSbRe29/9NnPEO6ETnQ5QShU5Lv+yU/GrZcfY3al
 WuXyxcvklHnzW97My+56GcnS+l8Bruvzrtn6m+5dS9N+3ffXHcj/J8x19wTh
 6aef4QO/9xB/9dhf8aJbT5BSYswjbk7ShLzhh38ids98iaQjDWVZKodXr/LM
 mTM4zu233U7ShAOGMLIl2DDTOQkIW7bssFkdUtY264yz20XZ9aXOzOwwrJjC
 ht6RLyiJjLIcz6q68I0nz7PMlzh16kWcOn0Dkg7YyRAxrw6fyFtL7EamhIMZ
 B2Nm2t9jZ3+XZD2VJwzz3rUNGTEzTuROAMKUk3pAxExTUDINJ8dEEu/FuzSa
 wMnYp0Svm0/qyCKG+sAOgiUnxQGJQnOHSNx26y1spjsQLSRyj2pecBmYCIxC
 FjUiArNOEsrq6kEHUgoSQjCwqzPmI44QNEYGBrG1696Vs+QZJdjFqGkge2MS
 pZHZcyBlBhLNYdBALEg6kBzQRvVMFsjapfZEA0/UGFECi0qEoClWCR4yFtRm
 iApFBOwQ0oC2LS1GmsKONbYpOumLgaywyCGjTVRpeCuQRhTDDEQhl4ZrUMNA
 OwOSYowaBMLStgy6wVrDtaKWyHLI7AmsMWrvHSxySPKJspackSa0zrQ0MgD/
 F/AfT1rI5st9AAAAAElFTkSuQmCC
 ====

## cal-home-widget 0.2

=== debian/changelog ===
cal-home-widget (0.2) unstable; urgency=low

  * changed debian package descriptionZ

 -- Nicolai Hess <nicolaihess@web.de>  Thu,  3 Jun 2010 09:33:25 +0200

## cal-home-widget 0.3

=== debian/changelog ===
cal-home-widget (0.3) unstable; urgency=low

  * Bugfixes: 
  * No missing birthdays
  * Fixe crash when removing widget
  * Handles Night/Day change
  * No crash afterZ removing calendars

 -- Nicolai Hess <nicolaihess@web.de>  Sat,  5 Jun 2010 11:21:13 +0200

## cal-home-widget 0.4

=== debian/changelog ===
cal-home-widget (0.4) unstable; urgency=low

  * fixed bug: only one today allday events was shown. 

 -- Nicolai Hess <nicolaihess@web.de>  Sun,  6 Jun 2010 11:33:36 +0200

## cal-home-widget 0.5

=== debian/changelog ===
cal-home-widget (0.5) unstable; urgency=low

  * fixed issue with multiday events
  * changed custom calendar size from predefined values (small, medium, large)
    to numbered values (1, ..., 9).
  * uses the calendar background image from the current theme

 -- Nicolai Hess <nicolaihess@web.de>  Wed,  9 Jun 2010 01:35:15 +0200

## cal-home-widget 0.6

=== debian/changelog ===
cal-home-widget (0.6) unstable; urgency=low

  * add visual separator for today events
  * changed automatic update, updates view on midnight
    or if a today event is over
  * update on timeformat change works now
  * trigger manual update by long (~1s) tapping on the title 
    (weekday name).

 -- Nicolai Hess <nicolaihess@web.de>  Tue, 15 Jun 2010 01:51:07 +0200

## cal-home-widget 0.7

=== debian/changelog ===
cal-home-widget (0.7) unstable; urgency=low

  * fixed memory leak with recurrent events
  * fixed bug with today birthday events
  * show persons age for birthday events


 -- Nicolai Hess <nicolaihess@web.de>  Wed, 23 Jun 2010 02:03:46 +0200

## cal-home-widget 0.8

=== debian/changelog ===
cal-home-widget (0.8) unstable; urgency=low

  * new option to trigger update when switched to current desktop

 -- Nicolai Hess <nicolaihess@web.de>  Fri, 25 Jun 2010 01:30:16 +0200

## cal-home-widget 0.9

=== debian/changelog ===
cal-home-widget (0.9) unstable; urgency=low

  * fixed wrong age calculation (real year of born isn't
    saved in "datestart" but the "status" entry of the
    calendar birthday event)

 -- Nicolai Hess <nicolaihess@web.de>  Fri, 25 Jun 2010 14:30:16 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/cal-home-widget install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cal-home-widget 0.9.1

=== debian/changelog ===
cal-home-widget (0.9.1) unstable; urgency=low

  * new feature: show only one instance for recurrent events
  * new feature: show only events, show only tasks
    show tasks and events

 -- Nicolai Hess <nicolaihess@web.de>  Fri, 24 Sep 2010 02:05:26 +0200

## cal-home-widget 0.9.2

=== debian/changelog ===
cal-home-widget (0.9.2) unstable; urgency=low

  * today task are visible, too.
  * better timezone handling (yesterday allday events were shown
    for today, too)

 -- Nicolai Hess <nicolaihess@web.de>  Sun, 26 Sep 2010 10:39:50 +0200

## cal-home-widget 0.9.3

=== debian/changelog ===
cal-home-widget (0.9.3) unstable; urgency=low

  * now fixed a new bug with timezone offset and recurrent events.

 -- Nicolai Hess <nicolaihess@web.de>  Tue, 28 Sep 2010 00:39:40 +0200

## cal-home-widget 0.9.5

=== debian/changelog ===
cal-home-widget (0.9.5) unstable; urgency=low

  * add option to show week day in event list

 -- Nicolai Hess <nicolaihess@web.de>  Sat,  9 Oct 2010 01:08:50 +0200

cal-home-widget (0.9.4) unstable; urgency=low

  * fixed bug with "&" sign in summary text

 -- Nicolai Hess <nicolaihess@web.de>  Sat,  9 Oct 2010 00:56:37 +0200

## cal-home-widget 0.9.6

=== debian/changelog ===
cal-home-widget (0.9.6) unstable; urgency=low

  * fixed bug with wrong assumption how limit and offset for
    function getComponents are meant
  * add option to show/hide old undone task
  * add option to show/hide done task
  * better calendar entry search by event type

 -- Nicolai Hess <nicolaihess@web.de>  Thu,  2 Dec 2010 00:38:17 +0100

## cal-home-widget 0.9.7

=== debian/changelog ===
cal-home-widget (0.9.7) unstable; urgency=low

  * fixed displaying todays allday events.

 -- Nicolai Hess <nicolaihess@web.de>  Wed,  8 Dec 2010 01:33:02 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,11 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: Calendar Home Widget
- Calendar Widget with advanced features.
  Opens the calendar application with different
  views (agenda, week, month). Can change dynamically
- the widget size. Selectable fixed sizes (small, medium, large).
- And you can select which calendar entries (colour) should be
- visible and a time period.
+ the widget size. Selectable fixed sizes. And you can select 
+ which calendar entries (colour) should be visible and
+ a time period.
 XB-Maemo-Display-Name:Calendar Home Widget
 XSBC-Bugtracker: mailto:nicolaihess@web.de
 XB-Maemo-Icon-26:

## cal-home-widget 0.9.8

=== debian/changelog ===
cal-home-widget (0.9.8) unstable; urgency=low

  * fixed timezone bug (hopefully)
  * removed monospace font for weekday display,
    use table layout now.

 -- Nicolai Hess <nicolaihess@web.de>  Sun, 12 Dec 2010 14:29:03 +0100

## cal-home-widget 0.9.10

=== debian/changelog ===
cal-home-widget (0.9.10) unstable; urgency=low

  * fixed bug with birthdays in other timezone
  * fixed bug with ignored setting for event, event/task, task
    view mode
  * show weekday name for tasks

 -- Nicolai Hess <nicolaihess@web.de>  Wed, 15 Dec 2010 01:08:23 +0100

cal-home-widget (0.9.9) unstable; urgency=low

  * cut long summary text.

 -- Nicolai Hess <nicolaihess@web.de>  Sun, 12 Dec 2010 16:23:37 +0100

## cal-home-widget 0.9.11

=== debian/changelog ===
cal-home-widget (0.9.11) unstable; urgency=low

  * last version only contains changed changelog but
    no other changes :-)

  * fixed bug with birthdays in other timezone
  * fixed bug with ignored setting for event, event/task, task
    view mode
  * show weekday name for tasks

 -- Nicolai Hess <nicolaihess@web.de>  Wed, 15 Dec 2010 11:08:23 +0100

## cal-home-widget 1.0

=== debian/changelog ===
cal-home-widget (1.0) unstable; urgency=low

  * automatic view update is working again
  * doesn't ignore task timezone
  * only shows tasks within the selected
    time interval

 -- Nicolai Hess <nicolaihess@web.de>  Wed, 22 Dec 2010 01:05:37 +0100

## cal-home-widget 1.1

=== debian/changelog ===
cal-home-widget (1.1) unstable; urgency=low

  * changed the layout a bit, so it better match the
    calendarbackground image.

 -- Nicolai Hess <nicolaihess@web.de>  Sun,  9 Jan 2011 21:40:41 +0100

## cal-home-widget 1.2

=== debian/changelog ===
cal-home-widget (1.2) unstable; urgency=low

  * fixed bug with timezone offset for recurrent events
  * read localized calendar name

 -- Nicolai Hess <nicolaihess@web.de>  Sun, 10 Apr 2011 17:25:55 +0200

## cal-home-widget 1.3

=== debian/changelog ===
cal-home-widget (1.3) unstable; urgency=low

  * fixed start date/time should now take into account the
    right timezone setting for all events (normal/birthdays ...)

 -- Nicolai Hess <nicolaihess@web.de>  Wed, 13 Apr 2011 11:00:00 +0200

## cal-home-widget 1.4

=== debian/changelog ===
cal-home-widget (1.4) unstable; urgency=low

  * use the event timezone setting only for allday events and todos
    (maybe birthdays, too?)

 -- Nicolai Hess <nicolaihess@web.de>  Sun,  1 May 2011 13:31:12 +0200

## cal-home-widget 1.5

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 BUILDDIR = build
 DATA_FILE=cal-home-widget.desktop
 LIB=cal-home-widget.so
-HILDON_WIDGET_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
-#HILDON_WIDGET_LIB_DIR=/usr/lib/hildon-desktop
-HILDON_WIDGET_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonhomedesktopentrydir)
-#HILDON_WIDGET_DATA_DIR=/usr/share/applications/hildon-home
+#HILDON_WIDGET_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
+HILDON_WIDGET_LIB_DIR=/usr/lib/hildon-desktop
+#HILDON_WIDGET_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonhomedesktopentrydir)
+HILDON_WIDGET_DATA_DIR=/usr/share/applications/hildon-home
 
 
 all:    create_builddir subdirs

=== src/Makefile ===
OBJS=cal-home-widget.o cal-home-load-and-store.o cal-home-calendar-util.o cal-home-settings-dlg.o
BUILDDIR=../build
LIB=$(BUILDDIR)/cal-home-widget.so
PKG_FLAGS_C=$(shell pkg-config hildon-1 libhildondesktop-1 calendar-backend --cflags)
PKG_FLAGS_LIB=$(shell pkg-config hildon-1 libhildondesktop-1 calendar-backend --libs)
CCFLAGS=-shared
CC=g++

all:$(LIB)


$(LIB):$(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS_LIB) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(PKG_FLAGS_C) -c $< -o $@

.PHONY: clean all

clean:
	rm $(OBJS)

=== debian/changelog ===
cal-home-widget (1.5) unstable; urgency=low

  * adjust the timezone for non all-day events

 -- Nicolai Hess <nicolaihess@web.de>  Mon, 26 Sep 2011 23:14:22 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Description: Calendar Home Widget
  Opens the calendar application with different
  views (agenda, week, month). Can change dynamically
- the widget size. Selectable fixed sizes. And you can select 
- which calendar entries (colour) should be visible and
- a time period.
+ the widget size or stay at fixed sizes. And you can select 
+ which calendar entries (colour) to show and
+ a time period. Shows events and/or tasks.
 XB-Maemo-Display-Name:Calendar Home Widget
 XSBC-Bugtracker: mailto:nicolaihess@web.de
 XB-Maemo-Icon-26:
